IEDIT(3)

PACKAGE
iedit - Routines to manipulate 2D (image) editing instructions

PURPOSE
These routines provide a simple interface to the recursive, heirarchical data structure supported in Karma, to define 2-dimensional (image) editing instructions.

LIBRARY
karma

LINK WITH
-lkarma

FUNCTIONS

iedit_create_list
    Create a managed image edit instruction list.

iedit_free_list
    Destroy image edit list.

iedit_get_instruction_desc
    Get the list descriptor for image edit instructions.

iedit_alloc_edit_coords
    Allocate an array of edit co-ordinates.

iedit_get_edit_coords
    Get a number of editing co-ordinates from a co-ordinate list.

iedit_add_instruction
    Add an image edit instruction to a list.

iedit_remove_instructions
    Remove instructions from an image edit list.

iedit_apply_instructions
    Apply image edit instructions.

iedit_get_list
    Get list of edits in an image edit list.

iedit_make_list_default_master
    Prepare image edit list for mastery.

iedit_make_list_default_slave
    Prepare image edit list for slavery.

iedit_PROTO_add_func
    Image edit instruction add callback.

iedit_PROTO_loss_func
    Image edit instruction loss callback.

iedit_PROTO_apply_func
    Image edit instruction apply callback.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/